<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="java" version="1.0"><xsl:output encoding="UTF-8" indent="no" method="xml"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html><xsl:comment>
							standard : HTML 4.01 Transitional (Standards mode)
							dialog : <xsl:value-of select="pathDialogAgent($vDialog)"/></xsl:comment><head><xsl:variable name="vWinTitle"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/fullTitleText'))"/> - <xsl:value-of select="intituleAgent($vDialog)"/></xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/><meta http-equiv="Cache-Control" content="no-store, no-cache"/><meta http-equiv="Content-Style-Type" content="text/css"/><meta name="author"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Aauthor/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta><meta name="keywords"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Akeywds/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta><meta name="date"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Adate/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta>
						
						<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.css')}"/>


						<script type="text/JavaScript" >
/*0*/ var scServices = window.opener ? window.opener.scServices : window.parent.scServices;
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scTiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scTooltipMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scDynUiMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/tplMgr/tplMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/dynSizes/dynSizes.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.locale.js')}"></script>
<script type="text/JavaScript" >
scImgMgr.registerGallery(&quot;des:div.galFra&quot;);

scImgMgr.registerZoom(&quot;des:a.imgZoom&quot;,{toolbar:1,mag:1,titlePath:&quot;par:/nsi:/chi:span.capTi&quot;});

</script>
	
<script type="text/JavaScript">scCoLib.fDebug = true;</script><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\htmlMeta.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\revisedMeta.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\tplMgr.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\util\startLinkMeta.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tplDynElts\setSubWinTitle.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tplDynElts\centerContentRef.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\eval\scSiLibOveride.uiwidget;', null)"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/html.css')}" media="all"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/struct_ref.css')}" media="screen"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/buttons.css')}" media="screen"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/transf.css')}" media="all"/><xsl:text disable-output-escaping="yes"><![CDATA[<!--[if IE]>]]></xsl:text><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/ie.css')}" media="screen"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]--><!--[if lt IE 7]>]]></xsl:text><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/ie6_ref.css')}" media="screen"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]-->]]></xsl:text><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/print.css')}" media="print"/></head><body><div id="tplFra"><div id="tplCo"><div id="refCo" class="scroller"><a id="content" class="accessAnc" name="content" href="#content"/><div id="tplCoMarginW"><div id="tplCoFlexTop"/><div id="tplCo2"><xsl:value-of disable-output-escaping="yes" select="resultatAgent($vDialog, 'zone:mainZone')"/><scBasket class="" widgetClass="footnotes" sort="no" tagName="ol" suppressIfEmpty="yes" key="footnotes"/></div></div></div></div><div id="tplFooter"><hr class="hidden"/><a id="footer" class="accessAnc" name="footer" href="#footer"/><a href="#" onclick="window.print();return false;" class="printSubWinBtn" title="Imprimer la page"><span><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AlblBtnPrintSubWin/xhtmlContent'))"/></span></a></div></div><script type="text/JavaScript" src="{resultatAgent('//', 'pubres:/site/skin/js/skin.js')}"/></body></html></xsl:template></xsl:stylesheet>