<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3" xmlns:emrd="scpf.org:opale/emeraude" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="op sp emrd java " >

<xsl:param name="srcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="emrd:activity"/>
</xsl:template>

<xsl:template match="sc:item/emrd:activity">
	<title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:uM"><xsl:value-of select="sp:title"/></xsl:for-each></title>
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>



			
			
		
			
			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:expStep[@sc:refUri]">
<attrRef nm="emrd_activity:expStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:practQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:practQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:mcqSQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:mcqSQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:mcgSQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:mcgSQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:mcqMQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:mcqMQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:mcgMQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:mcgMQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:matchQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:matchQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:ordWQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:ordWQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:clozeQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:clozeQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:fieldQuestStep[@sc:refUri]">
<attrRef nm="emrd_activity:fieldQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:coQuizStep[@sc:refUri]">
<attrRef nm="emrd_activity:coQuizStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activity/sp:comment[@sc:refUri]">
<attrRef nm="emrd_activity:comment" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
		
			
			
		
			
		
			
			
		
			
		
			
				
			
			
				
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:res[@sc:refUri]">
<attrRef nm="op_res:res" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res/sp:int[@sc:refUri]">
<attrRef nm="op_res:int" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
				
			
			
				
			
			
				
				
			
		
		
			
			
				
			
			
				
			
			
				
				
				
				
				
				
				
				
				
			
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='acr'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:acr" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='glos'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:glos" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='bib'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:bib" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='docLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:docLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='resLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ucLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:uLinkTag:ucLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
			
				
			
			
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:txt]">
<attrRef nm="op_txt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txt">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtTableM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
				
				
				
				
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:langM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes/sp:img[@sc:refUri]">
<attrRef nm="op_txtRes:img" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtResM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
				
				
			
		
		
			
		
		
			
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:listingTxt">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

		
			
				
			
			
				
				
			
			
				
				
			
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='acr'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:acr" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='glos'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:glos" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='bib'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:bib" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='docLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:docLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='resLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ucLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:uLinkTag:ucLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				
			
			
				
			
			
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:qTxt]">
<attrRef nm="op_qTxt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:qTxt">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:resInfoM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
				
				
			
		
			
				
				
				
				
				
				
				
			
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:instructionM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
		
			
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:filter">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
				
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:preM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			
				
				
				
			
		
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
			
				
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:pbTi">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			
		
			
				
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:expUcDivM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:uM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:info">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
			
				
				
				
				
				
				
				
				
				
				
				
			
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:keywds">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
		
		
			
				
			
			
			
				
			
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:sPara">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:genRef/sp:ref[@sc:refUri]">
<xsl:if test="preceding-sibling::sp:*[@sc:refUri=current()/@sc:refUri and (name()='sp:ref')]">
<cPbs><pb msg="Un item a été référencé plusieurs fois !" typ="Error">
<xsl:value-of select="formatStr('Veuillez supprimer une des références à l&apos;&apos;item %s.', string(@sc:refUri))"/>
</pb></cPbs>
</xsl:if>
<attrRef nm="op_genRef:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		
			
		
			
				
				
			
			
				
			
		
			
		
			
				
			
		
			
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:exeM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqSur">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqMur">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:match">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

			
				
			
			
				
			
		
		
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='acr'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:uLinkTag:acr" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='glos'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:uLinkTag:glos" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='resLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
			
				
			
			
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:labelTxt]">
<attrRef nm="op_labelTxt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelTxt">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelImg/sp:img[@sc:refUri]">
<attrRef nm="op_labelImg:img" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
		
		
			
			
				
			
			
				
			
		
		
			
				
			
			
			
				
			
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:sTxt">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ordWord">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:cloze">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:textLeaf[@role='gap']">
<xsl:variable name="vText">
<xsl:apply-templates mode="str"/>
</xsl:variable>
<xsl:if test="descendant::sp:option">
<xsl:if test="string-length($vText)&gt;0 and count(descendant::sp:option[text() = $vText])=0">
<cPbs>
<pb msg="{formatStr('Une option du trou &apos;&apos;%1$s&apos;&apos; doit contenir le texte original.', string($vText))}" cd="gapOptNotPresent" typ="Error"/>
</cPbs>
</xsl:if>
<xsl:if test="count(descendant::sp:option)=1">
<cPbs>
<pb msg="{formatStr('Le trou &apos;&apos;%1$s&apos;&apos; a qu&apos;&apos;une seule option.', string($vText))}" cd="gapOptUnique" typ="Warning"/>
</cPbs>
</xsl:if>
<xsl:variable name="vHasSynErr">
<xsl:variable select="." name="vTextLeaf"/>
<xsl:for-each select="descendant::sp:synonym">
<xsl:variable select="string(.)" name="vSyn"/>
<xsl:if test="count($vTextLeaf/descendant::sp:option[text() = $vSyn])=0">1</xsl:if>
</xsl:for-each>
</xsl:variable>
<xsl:if test="contains($vHasSynErr,'1')">
<cPbs>
<pb msg="{formatStr('Au moins un synonyme du trou &apos;&apos;%1$s&apos;&apos; n&apos;&apos;est pas présent dans ses options.', string($vText))}" cd="gapSynOptNotPresent" typ="Error"/>
</cPbs>
</xsl:if>
</xsl:if>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="str" match="*"/>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="str" match="text()">
<xsl:value-of select="."/>
</xsl:template>
		
		
			
			
				
			
			
				
			
			
				
				
				
				
				
				
				
				
			
		
		
			
				
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='acr'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:acr" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='glos'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:glos" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='bib'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:bib" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ref'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:ref" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='docLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:docLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='resLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:resLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:uLink[@role='ucLnk'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:uLinkTag:ucLnk" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
			
			
			
				
			
			
			
				
			
			
			
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='form'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:inlineImgTag:form" refUri="{@sc:refUri}"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:inlineImg[@role='ico'][ancestor::*[namespace-uri(.)!='http://www.utc.fr/ics/scenari/v3/core'][1]/self::op:clozeTxt]">
<attrRef nm="op_clozeTxt:inlineImgTag:ico" refUri="{@sc:refUri}"/>
</xsl:template>
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:clozeTxt">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:gapM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
			
				
			
		
			
			
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:field">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>

			
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:coQuiz/sp:trainUcMcqSur[@sc:refUri]">
<attrRef nm="op_coQuiz:trainUcMcqSur" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:coQuiz/sp:trainUcMcqMur[@sc:refUri]">
<attrRef nm="op_coQuiz:trainUcMcqMur" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:coQuiz/sp:trainUcField[@sc:refUri]">
<attrRef nm="op_coQuiz:trainUcField" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:coQuiz/sp:trainUcCloze[@sc:refUri]">
<attrRef nm="op_coQuiz:trainUcCloze" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
		
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:expStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:expStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:practQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:practQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:mcqSQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:mcqSQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:mcgSQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:mcgSQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:mcqMQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:mcqMQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:mcgMQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:mcgMQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:matchQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:matchQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:ordWQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:ordWQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:clozeQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:clozeQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:fieldQuestStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:fieldQuestStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDiv/sp:coQuizStep[@sc:refUri]">
<attrRef nm="emrd_activityDiv:coQuizStep" refUri="{@sc:refUri}"/>
<xsl:apply-templates/>
</xsl:template>
			
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="emrd:activityDivM">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
			
		
			
		

</xsl:stylesheet>