<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes=" ooow dom meta draw style fo sl dc office ooo text sp form svg op xforms sc number table script math dr3d presentation xlink xsd chart java oooc scodPp xalan xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:res[1])" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:apply-templates mode="N9"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N9" match="*"/><!--# txt txtRes--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N9" match="sp:txt | sp:txtRes"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNd"/><xsl:value-of select="resultatAgent(concat($vContentAgtNd, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><!--# listing--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N9" match="sp:listing"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				
				<xsl:comment># sm:WParagraph</xsl:comment><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_spaceBeforeKeep')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute></xsl:element>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN16"/><xsl:value-of select="resultatAgent(concat($vContentAgtN16, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><!--# bkquote--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N9" match="sp:bkquote"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:comment># sm:WParagraph</xsl:comment><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_spaceBeforeKeep')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute></xsl:element>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N1d_', generate-id()))"/>
				<xsl:comment># sm:WParagraph</xsl:comment><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_bkQuoteEnd')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute></xsl:element>
				<xsl:comment># sm:WParagraph</xsl:comment><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_spaceAfter')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute></xsl:element>
			</xsl:template><!--# res int--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N9" match="sp:res | sp:int"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="//op:instructionM"><xsl:variable select="concat('@', getIdNode(ancestor-or-self::sp:*[1]), '_meta', '')" name="vPartAgtN32"/><xsl:value-of select="resultatAgent(concat($vPartAgtN32, '/getContent'))" disable-output-escaping="yes"/></xsl:when>
				</xsl:choose>
				<xsl:choose>
					
					<xsl:when test="string-length(resultatAgent(concat(resultatAgent(concat($vContentAgt, '/metaAgt')), '_Aalt', '/getContent')))&gt;0"><scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" id="db_N3e_{codeAgent('//')}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}" category="cprRes"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scodPp:title><scodPp:data>
								<xsl:variable select="resultatAgent(concat($vContentAgt, '/metaAgt'))" name="vContentAgtN4f"/><xsl:value-of select="si($vContentAgtN4f, resultatAgent(concat($vContentAgtN4f, '_Acredit', '/getContent')))" disable-output-escaping="yes"/>
							</scodPp:data></scodPp:dataBlock><scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" id="db_N55_{codeAgent('//')}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}" category="res"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:overrideContentDeclaration><scodPp:block.data/></scodPp:overrideContentDeclaration><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scodPp:title><scodPp:data>
								<xsl:variable select="resultatAgent(concat($vContentAgt, '/metaAgt'))" name="vContentAgtN6b"/><xsl:value-of select="si($vContentAgtN6b, resultatAgent(concat($vContentAgtN6b, '_Aalt', '/getContent')))" disable-output-escaping="yes"/>
							</scodPp:data></scodPp:dataBlock></xsl:when>
					<xsl:when test="typeAgent(normalize-space($vContentAgt))='op_gallery'"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N72_', generate-id()))"/></xsl:when>
					<xsl:when test="typeAgent(normalize-space($vContentAgt))='sfile_odg' or typeAgent(normalize-space($vContentAgt))='sfile_ods' or typeAgent(normalize-space($vContentAgt))='sfile_jpg_jpeg' or typeAgent(normalize-space($vContentAgt))='sfile_gif' or typeAgent(normalize-space($vContentAgt))='sfile_png' or typeAgent(normalize-space($vContentAgt))='sfile_odf' or typeAgent(normalize-space($vContentAgt))='mathTex'"><scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" id="db_N87_{codeAgent('//')}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}" category="cprRes"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scodPp:title><scodPp:data>
								<xsl:variable select="resultatAgent(concat($vContentAgt, '/metaAgt'))" name="vContentAgtN98"/><xsl:value-of select="si($vContentAgtN98, resultatAgent(concat($vContentAgtN98, '_Acredit', '/getContent')))" disable-output-escaping="yes"/>
							</scodPp:data></scodPp:dataBlock><scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" id="db_N9e_{codeAgent('//')}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}" category="res"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:overrideContentDeclaration><scodPp:block.data/></scodPp:overrideContentDeclaration><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scodPp:title><scodPp:data>
								<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_Nb4_', generate-id()))"/>
							</scodPp:data></scodPp:dataBlock></xsl:when>
				</xsl:choose>
			</xsl:template><!--# filtered--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N9" match="sp:filtered"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Agif0Q0XLzjtvF6fcBdv5i', .)"><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNd1"/><xsl:value-of select="resultatAgent(concat($vContentAgtNd1, '/getContent'))" disable-output-escaping="yes"/></xsl:when>
				</xsl:choose>
			</xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>