<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="ooow dom meta draw style fo sl dc office ooo text sp form svg op xforms sc number table script math dr3d presentation xlink xsd chart java oooc scodPp xalan xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:assmntUa[1])" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:assmntUa"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:for-each select="sp:genRef"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNb"/><xsl:value-of select="resultatAgent(concat($vContentAgtNb, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:obj"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:comment># sm:WBox</xsl:comment><xsl:variable name="vTitleContentN10"><xsl:choose><xsl:when test="boolean('true')">Objectifs</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></xsl:variable><xsl:variable name="vDataContentN10"><xsl:variable select="concat($vContentAgt, '_Aimp')" name="vContentAgtN17"/><xsl:value-of select="resultatAgent(concat($vContentAgtN17, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:variable name="vIsTitleMandatoryN10">true</xsl:variable><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="{getEntryBuffer('odStyleBlocks', 'op_assmntUa__objBox')/table:table/@table:style-name}" table:name="WBox_{generate-id()}"><table:table-column table:style-name="{getEntryBuffer('odStyleBlocks', 'op_assmntUa__objBox')/table:table/table:table-column[1]/@table:style-name}"/><table:table-row table:style-name="{getEntryBuffer('odStyleBlocks', 'op_assmntUa__objBox')/table:table/table:table-row/@table:style-name}"><table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'op_assmntUa__objBox')/table:table/table:table-row/table:table-cell[1]/@table:style-name}"><xsl:if test="string-length(normalize-space($vTitleContentN10))&gt;0 or $vIsTitleMandatoryN10='true'"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{getEntryBuffer('odStyleBlocks', 'op_assmntUa__objBox')/table:table/table:table-row/table:table-cell[1]/text:p/@text:style-name}"><xsl:value-of disable-output-escaping="yes" select="$vTitleContentN10"/></text:p></xsl:if><xsl:copy-of select="$vDataContentN10"/></table:table-cell></table:table-row></table:table>
		</xsl:for-each>
		<xsl:variable select="concat('@', $idRootAgt, '_meta', '_Akeywds')" name="vContentAgtN1b"/><xsl:value-of select="resultatAgent(concat($vContentAgtN1b, '/getContent'))" disable-output-escaping="yes"/>
		<xsl:apply-templates mode="N1d"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N1d" match="*"/><!--# intro--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N1d" match="sp:intro"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_Agif0Q0XLzjtvF6fcBdv5i', .)"><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN25"/><xsl:value-of select="resultatAgent(concat($vContentAgtN25, '/getContent'))" disable-output-escaping="yes"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# quiz--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="N1d" match="sp:quiz"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'op_assmntUa__quizTitle')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
					<xsl:text>Exercice </xsl:text>
					<xsl:value-of select="count(preceding-sibling::sp:quiz)+1"/>
					<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"> : <xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
				</xsl:element></scodPp:ifNotNull>
				<scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" id="db_N3b_{codeAgent('//')}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}" category="solQuiz"><xsl:variable name="vId">
						<xsl:value-of select="concat($vContentAgt, '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"> : <xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"> : <xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</scodPp:title><scodPp:data>
						<xsl:variable select="concat($vContentAgt, '_Aasw')" name="vContentAgtN4e"/><xsl:value-of select="resultatAgent(concat($vContentAgtN4e, '/getContent'))" disable-output-escaping="yes"/>
					</scodPp:data></scodPp:dataBlock>
				<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN52"/><xsl:value-of select="resultatAgent(concat($vContentAgtN52, '/getContent'))" disable-output-escaping="yes"/>
			</xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>