<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="ooow dom meta draw style fo sl dc office ooo text sp form svg op xforms sc number table script math dr3d presentation xlink xsd chart java oooc scodPp xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(..)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:field"><scodPp:notIfNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0">
		
			<xsl:apply-templates/>
		
		<xsl:for-each select="sc:globalExplanation"><xsl:variable select="concat('@', getIdNode(.), '')" name="vPathAgentContentN19"/><xsl:value-of select="resultatAgent(concat($vPathAgentContentN19, '/getContent'))" disable-output-escaping="yes"/></xsl:for-each>
	</scodPp:notIfNotNull></xsl:template>
		
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:asw">
					<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'op_field_asw__fieldSol')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
						<xsl:choose><xsl:when test="count(sc:SFSolution)&gt;1"><xsl:variable select="max(sc:SFSolution/sc:score/@value)" name="vMaxPoint"/><xsl:value-of select="sc:SFSolution[sc:score/@value=$vMaxPoint][1]/sc:value"/></xsl:when><xsl:when test="count(sc:NFSolution)&gt;1"><xsl:variable select="max(sc:NFSolution/sc:score/@value)" name="vMaxPoint"/><xsl:value-of select="sc:NFSolution[sc:score/@value=$vMaxPoint][1]/sc:value"/></xsl:when><xsl:otherwise><xsl:value-of select="sc:SFSolution/sc:value"/><xsl:value-of select="sc:NFSolution/sc:value"/></xsl:otherwise></xsl:choose><xsl:for-each select="sp:simple"><xsl:value-of select="sc:SFSolution/sc:value"/><xsl:value-of select="sc:NFSolution/sc:value"/></xsl:for-each>
					</xsl:element></scodPp:ifNotNull>
				</xsl:template>
			
		
		
	<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>