<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="java" version="1.0"><xsl:output encoding="UTF-8" indent="no" method="xml"/><xsl:param name="vDialog"/><xsl:param name="vAgent"/><xsl:template match="*"><html><head><xsl:variable name="vWinTitle"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/fullTitleText'))"/> - <xsl:value-of select="intituleAgent($vDialog)"/></xsl:variable><title><xsl:value-of select="normalize-space($vWinTitle)"/></title><meta content="text/html; charset=UTF-8" http-equiv="Content-Type"/><meta http-equiv="Cache-Control" content="no-store, no-cache"/><meta http-equiv="Content-Style-Type" content="text/css"/><meta name="author"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Aauthor/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta><meta name="keywords"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Akeywds/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta><meta name="date"><xsl:attribute name="content"><xsl:value-of select="parseXml(concat('&lt;content&gt;',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Adate/xhtmlContent')),'&lt;/content&gt;'))"/></xsl:attribute></meta>
						
						<link rel="stylesheet" type="text/css" href="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.css')}"/>


						<script type="text/JavaScript" >
/*0*/ var scServices = {};
/*1*/ scServices["scLoad"] = {loadFromRoot:function(pUrl){window.location.href="<xsl:value-of select="resolveDestUri2DestUrl(&quot;/&quot;)"/>"+pUrl;}, getPathFromRoot:function(pPath){return "<xsl:value-of select="resolveDestUri2DestUrl(&quot;/&quot;)"/>"+pPath;}, getUrlFromRoot:function(pHref){if(!this.fRootOffset) this.fRootOffset = scCoLib.hrefBase().length<xsl:value-of select="1-java:length(java:getDestUrl(java:getPage($vDialog)))"/>; return pHref.substring(this.fRootOffset);},getRootUrl:function(){if(!this.fRootUrl) this.fRootUrl = scCoLib.hrefBase().substring(0,scCoLib.hrefBase().length-<xsl:value-of select="java:length(java:getDestUrl(java:getPage($vDialog)))"/>); return this.fRootUrl;}};
</script>

						<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scCoLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scPaLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scSiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scTiLib.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/svc/scorm.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scTooltipMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scMapMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scDynUiMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sm/scDragMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/lib-sma/scAssmntMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/mnuToggleMgr/mnuToggleMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/svc/preloadSvc/preloadSvc.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/tplMgr/tplMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/mnuMgr/mnuMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/dynSizes/dynSizes.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.js')}"></script>
<script type="text/JavaScript" src="{translatePubPath2DestUrl('/site/wdgt/scImgMgr/scImgMgr.locale.js')}"></script>
<script type="text/JavaScript" >
scImgMgr.registerGallery(&quot;des:div.galFra&quot;);

scImgMgr.registerZoom(&quot;des:a.imgZoom&quot;,{toolbar:1,mag:1,titlePath:&quot;par:/nsi:/chi:span.capTi&quot;});

scServices.preloadSvc.addNavBtnPath(&quot;des:.btnNav&quot;);
scServices.preloadSvc.addNavBtnPath(&quot;des:.mnu_l&quot;);
scServices.preloadSvc.addNavBtnPath(&quot;des:.mnu_b&quot;);

</script>
	
<xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\htmlMeta.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\tplMgr.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\activity\gen\_web\wdt\mnuToggleMgr.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tplDynElts\centerContent.uiwidget;', null)"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/html.css')}" media="all"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/struct_page.css')}" media="screen"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/buttons.css')}" media="screen"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/mnu_page.css')}" media="screen"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/mnu_child.css')}" media="screen"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/transf.css')}" media="all"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/indexes.css')}"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/assmnt.css')}"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/assmnt_train.css')}"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/sub_windows.css')}" media="all"/><xsl:text disable-output-escaping="yes"><![CDATA[<!--[if IE]>]]></xsl:text><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/ie.css')}" media="screen"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]--><!--[if lt IE 7]>]]></xsl:text><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/ie6_page.css')}" media="screen"/><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/ie6_sub_windows.css')}" media="all"/><xsl:text disable-output-escaping="yes"><![CDATA[<![endif]-->]]></xsl:text><link rel="stylesheet" type="text/css" href="{resultatAgent('//', 'pubres:/site/skin/css/print.css')}" media="print"/></head><body><scBlock id="tplFra"><div class="tplTopLeft"/><div class="tplTopRight"/><div id="tplTop"><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\activity\gen\_web\wdt\accessBtns.uiwidget;', null)"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\noscriptWarn.uiwidget;', null)"/><div class="tplLeftTitleRoot"/><hx id="titleRoot"><span><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '/fullTitleText'))"/></span></hx><div class="tplRightTitleRoot"/></div><div id="tplMain"><div id="tplLft"/><div id="tplMnu"><hr class="hidden"/><a id="menu" class="accessAnc" name="menu" href="#menu"/><strong class="hidden">Menu : </strong><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\mnu\mnuMgr.uiwidget;', null)"/></div><div id="tplCo"><hr class="hidden"/><a id="content" class="accessAnc" name="content" href="#content"/><strong class="hidden">Contenu : </strong><div id="tplCoMarginW" style=""><div id="tplCoFlexTop"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent($vDialog, 'zone:mainZone')"/><scBasket class="" widgetClass="footnotes" sort="no" tagName="ol" suppressIfEmpty="yes" key="footnotes"/></div><div id="tplCoSpacer"/></div><div id="tplRgt"/></div><div id="tplBtm"><div class="tplBtmFooterLeft"/><div class="tplBtmFooterRight"/><hr class="hidden"/><a id="footer" class="accessAnc" name="footer" href="#footer"/><span id="tplBtmFooterCenter"><span class="tplBtmFooterCenterLeft"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_AbtnHome/xhtmlContent'))"/><span class="hidden"> | </span><a href="#" onclick="mnuToggleMgr.toggleMnu();return false;" class="mapBtn" title="Voir le plan"><span>Plan</span></a><span class="hidden"> | </span><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '_Atools/xhtmlContent'))"/></span><span id="tplNav"><hr class="hidden"/><a id="navigation" class="accessAnc" name="navigation" href="#navigation"/><strong class="hidden">Navigation : </strong><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\activity\gen\_web\wdt\prev.uiwidget;', null)"/><span class="hidden"> | </span><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\activity\gen\_web\wdt\next.uiwidget;', null)"/></span><span id="tplBtmIn"><span class="hidden"> | </span><xsl:value-of disable-output-escaping="yes" select="resultatAgent($vDialog, 'zone:zLegal')"/><span class="hidden"> | </span><xsl:value-of disable-output-escaping="yes" select="resultatAgent('/@@/tplWidget_\academic\gen\_web\widg\tpl\madeWithSc.uiwidget;', null)"/></span></span></div><div class="tplBtmLeft"/><div class="tplBtmRight"/></scBlock><script type="text/JavaScript" src="{resultatAgent('//', 'pubres:/site/skin/js/skin.js')}"/></body></html></xsl:template></xsl:stylesheet>